#include <iostream>
#include <ctime>
#include <iomanip>
#include <zconf.h>
#include "throttle.h"
#include "drone.h"

using namespace std;
using namespace main_stronglogic;

float lng, lat;
int mission_time;
int distance_travelled;

drone my_drone;

int main() {
    std::cout << "Beginning drone program" << std::endl;

    std::cout << "Please enter geolocation coordinates" << std::endl << "Longitude:" << std::endl;
    std::cin >> lng;
    std::cout << std::endl << "Latitude:" << std::endl;
    std::cin >> lat;

    my_drone.set_location(lng,lat);

    cout << "Enter mission length in minutes" << endl;
    cin >> mission_time;


    distance_travelled = my_drone.explore(mission_time);

    cout << "Drone has travelled " << distance_travelled << " km" << endl;

    return 0;
}